--- title: "Audit Log API v1 to v2 Migration Guide" slug: "audit-log-v1-to-v2-migration-guide" updated: 2026-08-10T09:10:22Z published: 2026-08-10T09:10:22Z canonical: "docs.britive.com/audit-log-v1-to-v2-migration-guide" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.britive.com/llms.txt > Use this file to discover all available pages before exploring further. # Audit Log API v1 to v2 Migration Guide The existing Audit Log API v1 will be deprecated during the October release. It is recommended to migrate to Audit Log API v2. It replaces the existing endpoint with improved pagination, CSV export, and more flexible date handling. Follow these steps for migration: - Update your integrations with the following endpoint paths: - Replace **/api/logs** with **/api/logs/v2** for JSON requests - Replace **/api/logs/csv** with **/api/logs/v2/csv** for CSV export - Pass **from** and **to** on every API request - Keep the date range to a maximum of 7 days - All date values sent without a timezone are accepted as UTC, but v2 also accepts natural-language dates and epoch seconds or milliseconds. - Paging in v2 is driven entirely by the **next-page** response header. When it is present, send its value back in a **next-page** request header to fetch the following page. The response body contains only your records. ## Examples - Get API request v1: ```plaintext GET /api/logs?from=2026-06-01T00:00:00Z&to=2026-06-02T00:00:00Z&search=ABC ``` - Get API request in v2: ```plaintext GET /api/logs/v2?from=2026-06-01T00:00:00Z&to=2026-06-02T00:00:00Z&search=ABC ``` - CSV export in v2: ```plaintext GET /api/logs/v2/csv?from=2026-06-01T00:00:00Z&to=2026-06-02T00:00:00Z&search=ABC ``` - Pagination in v2 - If there is more data, the response carries the token: ```plaintext HTTP/1.1 200 OK Content-Type: application/json next-page: eyJwYXJ0aXRpb25faW5kZXgiOjAsImV4Y2x1c2l2ZV9zdGFydF9rZXkiOnsiLi4uIjoiLi4uIn19 ``` - Follow-up request for the next page like shown below and repeat until the response has no **next-page** header. ```plaintext GET /api/logs/v2?from=2026-06-01T00:00:00Z&to=2026-06-02T00:00:00Z&search=ABC next-page: eyJwYXJ0aXRpb25faW5kZXgiOjAsImV4Y2x1c2l2ZV9zdGFydF9rZXkiOnsiLi4uIjoiLi4uIn19 ``` If you need help migrating APIs to v2, reach out to your customer success point of contact.